import { getStorageSync, setStorageSync } from "@tarojs/taro";
import { CUSTOME_STORAGE } from "vue-vulcan";

export function useCustomeStorage() {
  const setItem = (key: string, val: any) => {
    setStorageSync(key, val)
  }

  const getItem = (key: string) => {
    return getStorageSync(key)
  }

  return {
    setItem,
    getItem
  }
}

useCustomeStorage.token = CUSTOME_STORAGE;